## ros-indigo-moveit-ros-planning-interface 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_planning_interface)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED COMPONENTS
  date_time
  filesystem
  program_options
  python
  system
  thread
)
find_package(PythonLibs 2.7 REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  moveit_msgs
  moveit_ros_planning
  moveit_ros_warehouse
  moveit_ros_manipulation
  moveit_ros_move_group
  eigen_conversions
  tf_conversions
  tf
  roscpp
  actionlib
  rospy
  rosconsole
  cmake_modules
)
find_package(Eigen REQUIRED)

set(THIS_PACKAGE_INCLUDE_DIRS
  py_bindings_tools/include
  common_planning_interface_objects/include
  planning_scene_interface/include
  move_group_interface/include
)

catkin_python_setup()

catkin_package(
  LIBRARIES
    moveit_common_planning_interface_objects
    moveit_planning_scene_interface
    moveit_move_group_interface
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  CATKIN_DEPENDS
    moveit_ros_planning
    moveit_ros_warehouse
    moveit_ros_manipulation
    moveit_ros_move_group
    )

include_directories(${THIS_PACKAGE_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

include_directories(SYSTEM
                    ${EIGEN_INCLUDE_DIRS}
                    ${PYTHON_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(py_bindings_tools)
add_subdirectory(common_planning_interface_objects)
add_subdirectory(planning_scene_interface)
add_subdirectory(move_group_interface)
add_subdirectory(robot_interface)
add_subdirectory(test)

=== common_planning_interface_objects/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_common_planning_interface_objects)

add_library(${MOVEIT_LIB_NAME} src/common_objects.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${PYTHON_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/ DESTINATION include)

=== move_group_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_move_group_interface)

add_library(${MOVEIT_LIB_NAME} src/move_group.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} moveit_common_planning_interface_objects moveit_planning_scene_interface ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

add_library(${MOVEIT_LIB_NAME}_python src/wrap_python_move_group.cpp)
target_link_libraries(${MOVEIT_LIB_NAME}_python ${MOVEIT_LIB_NAME} ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_py_bindings_tools)
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES VERSION 0.7.3)
add_dependencies(${MOVEIT_LIB_NAME}_python ${catkin_EXPORTED_TARGETS})
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES OUTPUT_NAME _moveit_move_group_interface PREFIX "")
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}_python
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})

install(DIRECTORY include/ DESTINATION include)

add_executable(demo src/demo.cpp)
target_link_libraries(demo ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

=== planning_scene_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_scene_interface)

add_library(${MOVEIT_LIB_NAME} src/planning_scene_interface.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} moveit_common_planning_interface_objects ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_library(${MOVEIT_LIB_NAME}_python src/wrap_python_planning_scene_interface.cpp)
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}_python ${MOVEIT_LIB_NAME} ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_py_bindings_tools)
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES OUTPUT_NAME _moveit_planning_scene_interface PREFIX "")
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}_python
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})

install(DIRECTORY include/ DESTINATION include)

=== py_bindings_tools/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_py_bindings_tools)

add_library(${MOVEIT_LIB_NAME} src/roscpp_initializer.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

add_library(${MOVEIT_LIB_NAME}_python src/wrap_python_roscpp_initializer.cpp)
target_link_libraries(${MOVEIT_LIB_NAME}_python ${MOVEIT_LIB_NAME} ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES VERSION 0.7.3)
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES OUTPUT_NAME _moveit_roscpp_initializer PREFIX "")
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}_python
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})

install(DIRECTORY include/ DESTINATION include)

=== robot_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_robot_interface)

add_library(${MOVEIT_LIB_NAME}_python src/wrap_python_robot_interface.cpp)
target_link_libraries(${MOVEIT_LIB_NAME}_python ${PYTHON_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES}
  moveit_common_planning_interface_objects moveit_py_bindings_tools)
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES VERSION 0.7.3)
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES OUTPUT_NAME _moveit_robot_interface PREFIX "")
set_target_properties(${MOVEIT_LIB_NAME}_python PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}_python
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})

=== test/CMakeLists.txt ===
if (CATKIN_ENABLE_TESTING)
  find_package(moveit_resources)
  find_package(rostest)

  # This test fails due to a ROS core bug: https://github.com/ros/ros_comm/pull/871
  #add_rostest_gtest(test_cleanup cleanup.test cleanup.cpp)
  #target_link_libraries(test_cleanup moveit_move_group_interface)

  add_rostest(python_move_group.test)
  add_rostest(robot_state_update.test)
endif()

install(PROGRAMS python_move_group.py DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)
install(FILES python_move_group.test DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)

=== debian/changelog ===
ros-indigo-moveit-ros-planning-interface (0.7.14-1trusty) trusty; urgency=high

  * [fix] fix race conditions when updating PlanningScene #350 <https://github.com/ros-planning/moveit/issues/350>
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.13-1trusty) trusty; urgency=high

  * [fix] MoveGroupInterface: Fixed computeCartesianPath to use selected end-effector. (#580 <https://github.com/ros-planning/moveit/issues/580>)
  * [improve] Disabled copy constructors and added a move constructor to MoveGroupInterface (#664 <https://github.com/ros-planning/moveit/issues/664>)
  * Contributors: 2scholz, Dennis Hartmann, Jonathan Meyer, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.9-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.8-1trusty) trusty; urgency=high

  * [enhancement][MoveGroup] Add getLinkNames function (#440 <https://github.com/ros-planning/moveit/issues/440>)
  * [doc][moveit_commander] added description for set_start_state (#447 <https://github.com/ros-planning/moveit/issues/447>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, henhenhen

 -- Ioan Sucan <isucan@google.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.7-1trusty) trusty; urgency=high

  * move_group.cpp: seg fault bug fix (#426 <https://github.com/ros-planning/moveit/issues/426>)
    Fixed a bug with casting CallbackQueueInterface * to ros::CallbackQueue * without a check.
    https://github.com/ros-planning/moveit/issues/425
  * install planning_interface python test
    This test is reference in the tutorials and should also work with installed workspaces
    http://docs.ros.org/kinetic/api/moveit_tutorials/html/doc/tests.html#integration-test
  * [moveit_ros] Missing test_depend. (#412 <https://github.com/ros-planning/moveit/issues/412>)
  * clang-format
  * PSI: make all logs _NAMED
  * PSI: point out synchronicity behavior of apply* and add/removeObjects interfaces
  * remove obsolete mutable declaration
    This was only required for the proposal to change the behavior of the add/remove functions.
    Now that I added the apply* interfaces, this is not relevant anymore.
  * PSI: add apply* functions that use ApplyPlanningScene.srv
    to update move_group's PlanningScene
  * Use ApplyPlanningSceneService in planning_scene_interface
    Added helper function to call ApplyPlanningScene service
    with fallback to asynchronous processing via "planning_scene"
    topic.
  * clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Andreas Köpf, Bastian Gaspers, Dave Coleman, Isaac I.Y. Saito, v4hn

 -- Ioan Sucan <isucan@google.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.2-1trusty) trusty; urgency=high

  * Issue #630 <https://github.com/ros-planning/moveit_ros/issues/630>: remove color information from addCollisionObjects method
  * attachment to the commit: fab50d487d86aa4011fb05e41e694b837eca92df
    For more information see the specified commit.
  * planning_interface: Set is_diff true for empty start state
    Executing a motion without setting the start state of the robot like
    this:
    ```
    group_arm.setNamedTarget("start_grab_pose");
    success = group_arm.move();
    ```
    throws the error: Execution of motions should always start at the robot's
    current state. Ignoring the state supplied as start state in the motion
    planning request.
    The problem is, when considered_start_state_ is null, every data field of the start_state
    in the submitted MotionPlanRequest is 0 or false. But we need is_diff to be
    true, because otherwise move_group will not consider its current state as
    actual start state without complaining.
  * Implement issue #630 <https://github.com/ros-planning/moveit_ros/issues/630>
  * Contributors: Yannick Jonetzko, corot

 -- Ioan Sucan <isucan@google.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.1-1trusty) trusty; urgency=high

  * [feat] Adding acceleration scaling factor
  * [fix] conflict issues
  * [doc] [move_group.cpp] Print the name of the move group action server that failed to be connected (#640 <https://github.com/ros-planning/moveit_ros/issues/640>)
  * Contributors: Dave Coleman, Isaac I.Y. Saito, hemes

 -- Ioan Sucan <isucan@google.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * new method MoveGroup::getDefaultPlannerId(const std::string &group)


=== debian/control ===
Source: ros-indigo-moveit-ros-planning-interface
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, python-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-moveit-resources, ros-indigo-moveit-ros-manipulation, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-warehouse, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-tf, ros-indigo-tf-conversions
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dev, ros-indigo-actionlib, ros-indigo-eigen-conversions, ros-indigo-moveit-ros-manipulation, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-warehouse, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-tf, ros-indigo-tf-conversions
Description: Components of MoveIt that offer simpler interfaces to planning and execution

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-ros-planning-interface//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
